MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026317Open CASCADE[OCCT] OCCT:Visualizationpublic2015-06-05 11:052016-04-20 15:48
Reporterisk 
Assigned Toski 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026317: Visualization - AIS_LengthDimension::CheckPlane() is incorrect
DescriptionAIS_LengthDimension::CheckPlane doesn't check of parallelism of a normal of the plane and direction gce_MakeDir(myFirstPoint, mySecondPoint)
Steps To Reproduce
pload MODELING VISUALIZATION
box b 100 200 300
vinit View1
vclear
vaxo
explode b F
vdimension len -length -shapes b_1 b_2 -plane yoz
TagsNo tags attached.
Test case numberbugs vis bug26317
Attached Files

- Relationships
related to 0026043closedbugmaster Visualization, TKV3d - exception is raised during displaying bad dimension 

-  Notes
(0041961)
git (administrator)
2015-06-05 11:11

Branch CR26317 has been created by isk.

SHA-1: a2c669c0aaa3882d1566be8eb2034d5fb9ed690e


Detailed log of new commits:

Author: isk
Date: Fri Jun 5 11:11:48 2015 +0300

    0026317: Visualization, AIS_LengthDimension::CheckPlane is incorrect
(0041962)
isk (developer)
2015-06-05 11:12

Dear Kirill,
please review the branch CR26317.
(0041969)
git (administrator)
2015-06-05 12:55

Branch CR26317 has been updated by isk.

SHA-1: 37bbb872ab1d10e2a0415571397470389201f63f


Detailed log of new commits:

Author: isk
Date: Fri Jun 5 12:55:27 2015 +0300

    Test case is added.

(0041970)
git (administrator)
2015-06-05 13:08

Branch CR26317 has been updated by isk.

SHA-1: 1451c79bec2c71a910465fe82c4e6851199dae8b


Detailed log of new commits:

Author: isk
Date: Fri Jun 5 13:08:23 2015 +0300

    Fix test case

(0041972)
aba (developer)
2015-06-05 13:36

Dear BugMaster,
please test the patch.
(0041991)
git (administrator)
2015-06-05 16:17

Branch CR26317 has been updated forcibly by apv.

SHA-1: f59f862531a1b4ed56f4cde068b7440881c9664e
(0041992)
apv (tester)
2015-06-05 16:18

Branch CR26317 has been rebased on the current master.
(0042018)
apv (tester)
2015-06-08 14:18

Dear BugMaster,

Branch CR26317 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: f59f862531a1b4ed56f4cde068b7440881c9664e

Number of compiler warnings:
occt component:
   Linux: 25 (25 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug26317 - KO
http://occt-tests/CR26317-master-occt-64/Debian70-64/bugs/vis/bug26317.html [^]
http://occt-tests/CR26317-master-occt-64/Windows-64-VC10/bugs/vis/bug26317.html [^]

Testing on Linux:
Total MEMORY difference: 96665899 / 96980071 [-0.32%]
Total CPU difference: 18552.93999999978 / 18375.469999999994 [+0.97%]

Testing on Windows:
Total MEMORY difference: 56489119 / 56486922 [+0.00%]
Total CPU difference: 17394.095899899017 / 17188.564582398936 [+1.20%]
(0044453)
git (administrator)
2015-08-20 08:47

Branch CR26317 has been updated by isk.

SHA-1: 65ed89a2645d45749f3f593abd8b544667b6951c


Detailed log of new commits:

Author: isk
Date: Thu Aug 20 08:36:14 2015 +0300

    Update test case bugs vis bug26317

(0044454)
git (administrator)
2015-08-20 08:48

Branch CR26317_1 has been created by isk.

SHA-1: 798edca3317156a60646b0594a11f70cc8f32e53


Detailed log of new commits:

Author: isk
Date: Thu Aug 20 08:46:25 2015 +0300

    0026317: Visualization, AIS_LengthDimension::CheckPlane is incorrect
(0044527)
isk (developer)
2015-08-24 08:14

Dear Anastasia,
please review the branch CR26317_1.
(0044583)
aba (developer)
2015-08-25 09:45

Dear BugMaster,
please test the branch CR26317_1.
(0044593)
git (administrator)
2015-08-25 11:21

Branch CR26317_1 has been updated forcibly by mkv.

SHA-1: 6ae8abf434ff7b73013e2fb4f179081ccf7a53bb
(0044653)
mkv (tester)
2015-08-26 13:17

Dear BugMaster,
Branch CR26317_1 was rebased on current master of occt git-repository.
SHA-1: 6ae8abf434ff7b73013e2fb4f179081ccf7a53bb
(0044654)
mkv (tester)
2015-08-26 13:18

Dear BugMaster,
Branch CR26317_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 6ae8abf434ff7b73013e2fb4f179081ccf7a53bb

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26317-1-master-occt-64/Debian70-64/bugs/vis/bug26317.html [^]
http://occt-tests/CR26317-1-master-occt-64/Windows-64-VC10/bugs/vis/bug26317.html [^]
bugs vis bug26317: OK

Testing on Linux:
occt component :
Total MEMORY difference: 92068938 / 91593925 [+0.52%]
Total CPU difference: 17768.70999999888 / 17713.31999999894 [+0.31%]
products component :
Total MEMORY difference: 25118945 / 25113460 [+0.02%]
Total CPU difference: 7114.049999999989 / 7006.560000000001 [+1.53%]

Testing on Windows:
occt component :
Total MEMORY difference: 57065513 / 57056248 [+0.02%]
Total CPU difference: 16483.299661498902 / 16696.724629599114 [-1.28%]
products component :
Total MEMORY difference: 16127028 / 16126279 [+0.00%]
Total CPU difference: 5186.222044799963 / 5292.115523599969 [-2.00%]

There are no differences in images found by testdiff.
(0046976)
git (administrator)
2015-10-16 16:37

Branch CR26317 has been deleted by kgv.

SHA-1: 65ed89a2645d45749f3f593abd8b544667b6951c
(0047047)
git (administrator)
2015-10-16 16:47

Branch CR26317_1 has been deleted by kgv.

SHA-1: 6ae8abf434ff7b73013e2fb4f179081ccf7a53bb

- Related Changesets
occt: master b0804487
Timestamp: 2015-08-20 05:46:25
Author: isk
Committer: ski
Details ] Diff ]
0026317: Visualization - AIS_LengthDimension::CheckPlane() is incorrect
mod - src/AIS/AIS_LengthDimension.cxx Diff ] File ]
add - tests/bugs/vis/bug26317 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-05 11:05 isk New Issue
2015-06-05 11:05 isk Assigned To => kgv
2015-06-05 11:06 isk Assigned To kgv => isk
2015-06-05 11:07 isk Steps to Reproduce Updated View Revisions
2015-06-05 11:11 git Note Added: 0041961
2015-06-05 11:12 isk Note Added: 0041962
2015-06-05 11:12 isk Assigned To isk => kgv
2015-06-05 11:12 isk Status new => resolved
2015-06-05 11:13 isk Relationship added related to 0026043
2015-06-05 12:38 kgv Assigned To kgv => aba
2015-06-05 12:38 kgv Product Version => 6.9.0
2015-06-05 12:38 kgv Target Version 6.9.0 => 7.0.0
2015-06-05 12:38 kgv Steps to Reproduce Updated View Revisions
2015-06-05 12:55 git Note Added: 0041969
2015-06-05 13:08 git Note Added: 0041970
2015-06-05 13:36 aba Note Added: 0041972
2015-06-05 13:36 aba Assigned To aba => bugmaster
2015-06-05 13:36 aba Status resolved => reviewed
2015-06-05 14:19 kgv Summary Visualization, AIS_LengthDimension::CheckPlane is incorrect => Visualization - AIS_LengthDimension::CheckPlane() is incorrect
2015-06-05 15:04 apv Assigned To bugmaster => apv
2015-06-05 16:17 git Note Added: 0041991
2015-06-05 16:18 apv Note Added: 0041992
2015-06-08 13:14 apv Test case number => bugs vis bug26317
2015-06-08 14:18 apv Note Added: 0042018
2015-06-08 14:18 apv Assigned To apv => isk
2015-06-08 14:18 apv Status reviewed => assigned
2015-08-20 08:47 git Note Added: 0044453
2015-08-20 08:48 git Note Added: 0044454
2015-08-24 08:14 isk Note Added: 0044527
2015-08-24 08:14 isk Assigned To isk => aba
2015-08-24 08:14 isk Status assigned => resolved
2015-08-25 09:45 aba Note Added: 0044583
2015-08-25 09:45 aba Assigned To aba => bugmaster
2015-08-25 09:45 aba Status resolved => reviewed
2015-08-25 11:21 git Note Added: 0044593
2015-08-25 11:26 mkv Assigned To bugmaster => mkv
2015-08-26 13:17 mkv Note Added: 0044653
2015-08-26 13:18 mkv Note Added: 0044654
2015-08-26 13:18 mkv Assigned To mkv => bugmaster
2015-08-26 13:18 mkv Status reviewed => tested
2015-08-28 11:44 ski Changeset attached => occt master b0804487
2015-08-28 11:44 ski Assigned To bugmaster => ski
2015-08-28 11:44 ski Status tested => verified
2015-08-28 11:44 ski Resolution open => fixed
2015-10-16 16:37 git Note Added: 0046976
2015-10-16 16:47 git Note Added: 0047047
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker